%global packname  zoo
%global rlibdir   %{_libdir}/R/library

Name:           R-%{packname}
Version:        1.7_11
Release:        1.48.sles11.lc
Summary:        S3 Infrastructure for Regular and Irregular Time Series

Group:          Development/Libraries/Other
License:        GPL-2.0+
URL:            http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:        zoo_1.7-11.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       R-base
Requires:         R-stats 
# Package suggestions
#Requires:         R-coda R-chron R-DAAG R-fts R-its R-ggplot2 R-mondate R-scales R-strucchange R-timeDate R-timeSeries R-tis R-tseries R-xts 
BuildRequires:  texlive
BuildRequires:  texinfo
BuildRequires:  fdupes
#
%if 0%{?suse_version} <= 1220 && 0%{?suse_version} != 1110
BuildRequires:  texlive-fonts-extra
%endif

BuildRequires:    R-base-devel R-stats
# Package suggestions, not required to build
#BuildRequires: R-coda R-chron R-DAAG R-fts R-its R-ggplot2 R-mondate R-scales R-strucchange R-timeDate R-timeSeries R-tis R-tseries R-xts

%description
An S3 class with methods for totally ordered indexed observations. It is
particularly aimed at irregular time series of numeric vectors/matrices
and factors. zoo's key design goals are independence of a particular
index/date/time class and consistency with ts and base R by providing
methods to extend standard generics.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/demo
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/THANKS
%doc %{rlibdir}/%{packname}/TODO
%doc %{rlibdir}/%{packname}/WISHLIST
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs


%changelog
* Thu Oct  9 2014 darin@darins.net
- updated source to latest release
* Fri Apr 18 2014 darin@darins.net
- fix packaging
* Tue Apr 15 2014 darin@darins.net
- update to 1.7-11
- remove unsupported suse builds
* Mon May  7 2012 darin@darins.net
- initial package for OpenSuSE
